POST api/CompanyRegistration/SaveCompanyRegistration

Request Information

URI Parameters

None.

Body Parameters

Model_CompanyRegistration
NameDescriptionTypeAdditional information
CompanyID

string

None.

EntityProfileID

string

None.

CompanyName

string

Required

IndustryTypeName

string

None.

EntityTypeID

Collection of string

None.

EntityTypeName

string

None.

YearOfIncorporation

string

None.

GrossAnnualTurnoverId

string

None.

GrossTurnover

string

None.

SelectPlan

string

None.

DiscountId

string

None.

PlanName

string

None.

ActualPerc

decimal number

None.

ActualAmount

decimal number

None.

DiscountPerc

decimal number

None.

DiscountAmount

decimal number

None.

NetPer

decimal number

None.

NetAmount

decimal number

None.

NoofEmployeesId

string

None.

NoofEmployees

string

None.

ServiceTypeId

Collection of string

None.

ServiceTypeName

string

None.

CompanyLogoTitle

string

Matching regular expression pattern: ^[a-zA-Z' ']+$

StateId

string

Required

StateName

string

None.

Pincode

string

Required

CountryId

string

Required

CountryName

string

None.

UserEmailID

string

None.

UserID

string

None.

UserEmailPassword

string

None.

Password

string

None.

UserMobileNumber

string

Required

Matching regular expression pattern: ^[5-9]\d{9}$

TermsConditions

boolean

None.

FirstName

string

Required

Matching regular expression pattern: ^[a-zA-Z' ']+$

LastName

string

Required

Matching regular expression pattern: ^[a-zA-Z' ']+$

CreatedBy

string

None.

CreatedOn

date

None.

ModifiedBy

integer

None.

ModifiedOn

date

None.

CityId

string

Required

CityName

string

None.

AreaId

string

Required

AreaName

string

None.

_ListUsers

Collection of Model_User

None.

FileId

string

None.

FileName

string

None.

FilePath

string

None.

CompanyLogoBinary

Collection of byte

None.

DescriptionID

string

None.

ProductId

Collection of string

None.

Description

string

None.

ProductName

string

None.

AppTypeID

integer

None.

_CalList

Collection of Model_CalculationAmount

None.

_CompList

Collection of Model_ComparisonAmount

None.

lstobjCountry

Collection of CountryModel

None.

lstobjState

Collection of StateModel

None.

lstobjCity

Collection of CityModel

None.

lstobjArea

Collection of AreaModel

None.

Request Formats

application/json

Sample:

Sample not available.

text/json

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.